Bug 99138 - Honeycomb slide transition doesnt work
Summary: Honeycomb slide transition doesnt work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 118134 (view as bug list)
Depends on:
Blocks: OpenGL Slide-Transitions
  Show dependency treegraph
 
Reported: 2016-04-07 11:39 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-23 02:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-04-07 11:39:17 UTC
I tested the honeycomb slide transition on multiple OpenGL 4+ systems and it always showed like Wipe > Left to Right.

glxinfo
OpenGL vendor string: nouveau
OpenGL renderer string: Gallium 0.4 on NVC1
OpenGL core profile version string: 4.1 (Core Profile) Mesa 11.3.0-devel (git-83bc2ac 2016-02-29 trusty-oibaf-ppa)
OpenGL core profile shading language version string: 4.10
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 11.3.0-devel (git-83bc2ac 2016-02-29 trusty-oibaf-ppa)
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.3.0-devel (git-83bc2ac 2016-02-29 trusty-oibaf-ppa)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

Version: 5.2.0.0.alpha0+
Build ID: 02fb3fd0533222dfea5b6b9232425a5e28cd340f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-03-29_06:02:35
Locale: en-US (en_US.UTF-8)
Comment 1 Katarina Behrens (CIB) 2016-04-07 11:51:13 UTC
Same here:

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Haswell Mobile 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.4.7
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 10.4.7
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 10.4.7
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.0
OpenGL ES profile extensions:

Self-built 5.1.X, where 5 < X < 6
Comment 2 steve -_- 2016-04-07 12:42:23 UTC
also confirmed on osx

Version: 5.2.0.0.alpha0+
Build ID: d9c1921c5031e5b372ee9d8db1e00fe7211cdd31
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-03-25_00:52:11
Locale: en-US (en.UTF-8)

setting hardware to all.
Comment 3 Buovjaga 2016-04-08 07:33:06 UTC
Confirmed.

Renderer: Intel(R) HD Graphics 3000
Vendor: Intel
Memory: 2108 MB
Version: 3.1.0 - Build 9.17.10.4229
Shading language version: 1.40 - Intel Build 9.17.10.4229

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 157469896ef56720f33676222b95e81c04ab5c72
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-04-06_20:10:15
Locale: fi-FI (fi_FI)
Comment 4 jebsolutions 2016-09-12 05:29:49 UTC
Same problem for me.  Honeycomb looks exactly the same as wipe right on Windows and Linux.

Tested on:
Windows 10 64 Bit + LibreOffice 64 bit (with and without opengl enabled).

Lubuntu 16.04.1 64 bit + Libreoffice 64 bit using the deb.tar.gz from the Libreoffice web site (with and without opengl enabled).
Comment 5 David Tardon 2016-11-06 13:26:14 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> I tested the honeycomb slide transition on multiple OpenGL 4+ systems and it
> always showed like Wipe > Left to Right.

That's expected if the transition fails to be initialized. It is replaced by an another transition in that case; that replacement transition just happens to be Wipe/Left to Right.
Comment 6 David Tardon 2016-11-06 13:32:02 UTC
To make some progress, could someone with a system that should support OpenGL >= 3.2 check that OpenGLHelper::getGLVersion() really returns the expected version? If it does, then the problem must be in the shader code (maybe it uses a construct that is only supported by OpenGL > 3.2? A breakpoint in OpenGLHelper::LoadShaders should help to check that.)
Comment 7 Buovjaga 2016-11-16 16:29:54 UTC
(In reply to David Tardon from comment #6)
> To make some progress, could someone with a system that should support
> OpenGL >= 3.2 check that OpenGLHelper::getGLVersion() really returns the
> expected version?

Ok, I tried. I made the modifications below and I get the output "false" for OpenGLHelper::getGLVersion() >= 3.2 in the about box (when I force OpenGL). I confirm the honeycomb transition does not work in my Linux with this 5.3 version.

file: vcl/source/app/svapp.cxx

#if HAVE_FEATURE_OPENGL
#include <vcl/opengl/OpenGLWrapper.hxx>
#include <vcl/opengl/OpenGLHelper.hxx>
#endif


#if HAVE_FEATURE_OPENGL
    if ( OpenGLWrapper::isVCLOpenGLEnabled() ) {
        aDetails.append( VclResId(SV_APP_GL).toString() );
        aDetails.append( OpenGLHelper::getGLVersion() >= 3.2 );
    }

Here is my GL info:

glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2) 
OpenGL core profile version string: 4.5 (Core Profile) Mesa 13.0.1
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 13.0.1
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.2 Mesa 13.0.1
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
OpenGL ES profile extensions:

So is the LibO OGL code sniffing the legacy-compatible version 3.0 instead of the core profile and disallowing Honeycomb etc.?
Comment 8 Buovjaga 2016-11-17 15:58:45 UTC
I discussed with Tomaž on IRC and he will look into changing the version lookup code.
Comment 9 Yousuf Philips (jay) (retired) 2017-05-03 09:42:02 UTC
@Tomaz: When you get a chance, as it still isnt working. :D

Version: 5.4.0.0.alpha0+
Build ID: 44b14e8c7c485d8a3bb99d9484ac63273988b633
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-17_03:32:22
Locale: en-US (en_US.UTF-8); Calc: group
Comment 10 Xisco Faulí 2017-10-06 21:30:22 UTC
Hi Jay, is it the same issue as bug 91456 ?
Comment 11 Yousuf Philips (jay) (retired) 2017-10-07 18:09:23 UTC
(In reply to Xisco Faulí from comment #10)
> Hi Jay, is it the same issue as bug 91456 ?

Honeycomb was added in 5.1, so doesnt seem to related to a regression found in bug 91456.
Comment 12 Buovjaga 2018-06-22 17:00:22 UTC
*** Bug 118134 has been marked as a duplicate of this bug. ***
Comment 13 QA Administrators 2019-06-23 02:51:21 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug